cayenne-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nikita Timofeev (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CAY-2570) Use MySQL adapter for latest versions of MariaDB
Date Mon, 22 Apr 2019 09:15:00 GMT
Nikita Timofeev created CAY-2570:
------------------------------------

             Summary: Use MySQL adapter for latest versions of MariaDB
                 Key: CAY-2570
                 URL: https://issues.apache.org/jira/browse/CAY-2570
             Project: Cayenne
          Issue Type: Task
          Components: Database integration
    Affects Versions: 4.1.B1, 4.0.1
         Environment: MariaDB
            Reporter: Nikita Timofeev
             Fix For: 4.0.2, 4.1.B2, 4.2.M1


MariaDB reported in metadata as "MySQL" prior version 2.4.1 so Cayenne choose {{MySQLAdapter}}
and that works fine. Starting from 2.4.1 (maybe earlier) it is reported as "MariaDB" and {{DefaultDbAdapter}}
is selected as a result.

We may need to setup additional profile to test MariaDB separately, as it can diverge further
from MySQL.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message